<?php

namespace app\modules\module_shop\models;

use Illuminate\Database\Eloquent\Model;

class ModuleShop extends Model
{
    const DISABLE_STATUS = 0;
    const ACTIVE_STATUS = 1;

    protected $table = "module_shop";

    protected $fillable = ['name', 'slug', 'version', 'description', 'author', 'status', 'path_to_archive', 'dependence'];

    public static function labels(): array
    {
        return [
            'name' => 'Название',
            'version' => 'Версия',
            'description' => 'Описание',
            'author' => 'Автор',
            'status' => 'Статус',
            'slug' => 'Slug',
            'path_to_archive' => 'Путь к файлу модуля',
            'dependence' => 'Зависимости',
        ];
    }

    /**
     * @return string[]
     */
    public static function getStatus(): array
    {
        return [
            self::DISABLE_STATUS => "Не активный",
            self::ACTIVE_STATUS => "Активный",
        ];
    }

}